Branch #12 docs/api/12-qr-templates.md

14. QR Templates Library

Branch #12 — Quản trị thư viện template QR cho chiến dịch và điểm chạm khách hàng.

Endpoints

GET
https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/categories

Danh sách danh mục

Auth: Public/Cookie

GET
https://bizgpt.vn/wp-json/bizcity/v1/qr-templates

Danh sách template

Auth: Public/Cookie

GET
https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/{id}

Chi tiết template

Auth: Public/Cookie

POST
https://bizgpt.vn/wp-json/bizcity/v1/qr-templates

Tạo template mới

Auth: Bearer (admin)

Method Path Auth Mô tả
GET https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/categories Public/Cookie Danh sách danh mục
GET https://bizgpt.vn/wp-json/bizcity/v1/qr-templates Public/Cookie Danh sách template
GET https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/{id} Public/Cookie Chi tiết template
POST https://bizgpt.vn/wp-json/bizcity/v1/qr-templates Bearer (admin) Tạo template mới

Query Examples

GET Danh sách danh mục
curl -X GET "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/categories"
const res = await fetch('https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/categories', {
  method: 'GET',
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/categories"
headers = {}
res = requests.get(url, headers=headers)
print(res.json())
GET Danh sách template
curl -X GET "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates"
const res = await fetch('https://bizgpt.vn/wp-json/bizcity/v1/qr-templates', {
  method: 'GET',
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates"
headers = {}
res = requests.get(url, headers=headers)
print(res.json())
GET Chi tiết template
curl -X GET "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/{id}"
const res = await fetch('https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/{id}', {
  method: 'GET',
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates/{id}"
headers = {}
res = requests.get(url, headers=headers)
print(res.json())
POST Tạo template mới
curl -X POST "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates" -H "Authorization: Bearer biz-YOUR_KEY" -H "Content-Type: application/json" -d '{"sample":true}'
const res = await fetch('https://bizgpt.vn/wp-json/bizcity/v1/qr-templates', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer biz-YOUR_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"sample":true}),
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates"
headers = {'Authorization': 'Bearer biz-YOUR_KEY', 'Content-Type': 'application/json'}
payload = '{"sample":true}'
res = requests.request("POST", url, headers=headers, data=payload)
print(res.json())

Use Cases

  • Tạo QR chiến dịch fanpage, landing page, event.
  • Chuẩn hóa visual QR theo bộ nhận diện thương hiệu.
  • Dùng lại template giữa các team/chi nhánh.

Implementation Steps

  1. Phân nhóm template theo ngành hoặc use-case.
  2. Lưu metadata tracking để đo hiệu quả chuyển đổi.
  3. Kết hợp với QR Proxy để hot-link trực tiếp.

Quick Start cURL

bash
curl -X GET "https://bizgpt.vn/wp-json/bizcity/v1/qr-templates?category=retail&page=1"
Canonical Spec

docs/api/12-qr-templates.md